[26667] in Source-Commits

home help back first fref pref prev next nref lref last post

Re: /svn/athena r25683 - trunk/debathena/config/reactivate/debian

daemon@ATHENA.MIT.EDU (Benjamin Kaduk)
Wed Aug 1 17:16:18 2012

Date: Wed, 1 Aug 2012 17:16:15 -0400 (EDT)
From: Benjamin Kaduk <kaduk@MIT.EDU>
To: Jonathan D Reed <jdreed@MIT.EDU>
cc: source-commits@MIT.EDU
In-Reply-To: <201208011655.q71GtUiA009892@drugstore.mit.edu>
Message-ID: <alpine.GSO.1.10.1208011716080.22690@multics.mit.edu>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed

Yay! (ACK.)
-Ben

On Wed, 1 Aug 2012, Jonathan D Reed wrote:

> Author: jdreed
> Date: 2012-08-01 12:55:30 -0400 (Wed, 01 Aug 2012)
> New Revision: 25683
>
> Removed:
>   trunk/debathena/config/reactivate/debian/transform_schroot_pam
> Modified:
>   trunk/debathena/config/reactivate/debian/changelog
>   trunk/debathena/config/reactivate/debian/reactivate
>   trunk/debathena/config/reactivate/debian/rules
>   trunk/debathena/config/reactivate/debian/snapshot-run
> Log:
> In reactivate:
>  * Drop the schroot pam_env hack, it's not needed anymore (and stop
>    diverting /etc/pam.d/schroot)
>
>
> Modified: trunk/debathena/config/reactivate/debian/changelog
> ===================================================================
> --- trunk/debathena/config/reactivate/debian/changelog	2012-08-01 16:10:21 UTC (rev 25682)
> +++ trunk/debathena/config/reactivate/debian/changelog	2012-08-01 16:55:30 UTC (rev 25683)
> @@ -4,8 +4,10 @@
>     (Trac: #928)
>   * Stop depending on kexec-tools, which hasn't been needed since 2.0.25
>   * Wrap Depends line for easier reading
> +  * Drop the schroot pam_env hack, it's not needed anymore (and stop
> +    diverting /etc/pam.d/schroot)
>
> - -- Jonathan Reed <jdreed@mit.edu>  Mon, 30 Jul 2012 14:44:14 -0400
> + -- Jonathan Reed <jdreed@mit.edu>  Wed, 01 Aug 2012 12:52:32 -0400
>
> debathena-reactivate (2.0.37) unstable; urgency=low
>
>
> Modified: trunk/debathena/config/reactivate/debian/reactivate
> ===================================================================
> --- trunk/debathena/config/reactivate/debian/reactivate	2012-08-01 16:10:21 UTC (rev 25682)
> +++ trunk/debathena/config/reactivate/debian/reactivate	2012-08-01 16:55:30 UTC (rev 25683)
> @@ -45,12 +45,6 @@
>   fi
> fi
>
> -# Cleanup our ticketenv hack
> -# Make sure nobody was evil
> -chattr -f -i /tmp/ticketenv || :
> -# If you made a directory and stored files there, too bad
> -rm -rf /tmp/ticketenv
> -
> # If either we or an updated package wanted to reboot, now is a
> # perfectly good time to do so -- auto-update is inhibited during a
> # login session.
>
> Modified: trunk/debathena/config/reactivate/debian/rules
> ===================================================================
> --- trunk/debathena/config/reactivate/debian/rules	2012-08-01 16:10:21 UTC (rev 25682)
> +++ trunk/debathena/config/reactivate/debian/rules	2012-08-01 16:55:30 UTC (rev 25683)
> @@ -7,7 +7,6 @@
> DEB_TRANSFORM_FILES_debathena-reactivate += \
> 	/etc/pam.d/su.debathena \
> 	/etc/default/schroot.debathena \
> -	/etc/pam.d/schroot.debathena \
> 	/etc/dbus-1/system.conf.debathena
> DEB_REMOVE_FILES_debathena-reactivate += \
> 	/etc/xdg/autostart/jockey-gtk.desktop \
> @@ -15,13 +14,11 @@
> 	/etc/xdg/autostart/nm-applet.desktop
>
> DEB_UNDIVERT_FILES_debathena-reactivate += \
> +	/etc/pam.d/schroot.debathena \
> 	/etc/pam.d/sudo.debathena
> -DEB_UNDIVERT_VERSION_/etc/pam.d/sudo.debathena = 1.25.2~
>
> DEB_TRANSFORM_SCRIPT_/etc/default/schroot.debathena = \
> 	debian/transform_schroot_defaults
> -DEB_TRANSFORM_SCRIPT_/etc/pam.d/schroot.debathena = \
> -	debian/transform_schroot_pam
>
> # The wrapper does in fact need to be setuid
> DEB_DH_FIXPERMS_ARGS = -X/usr/lib/debathena-reactivate/session-wrapper
>
> Modified: trunk/debathena/config/reactivate/debian/snapshot-run
> ===================================================================
> --- trunk/debathena/config/reactivate/debian/snapshot-run	2012-08-01 16:10:21 UTC (rev 25682)
> +++ trunk/debathena/config/reactivate/debian/snapshot-run	2012-08-01 16:55:30 UTC (rev 25683)
> @@ -25,10 +25,6 @@
> cleanup() {
>     # Teardown
>
> -    # Remove file from above.
> -    # (This also gets nuked in reactivate, but be paranoid)
> -    rm -f /tmp/ticketenv
> -
>     for daemon in $daemons; do
> 	schr invoke-rc.d "$daemon" stop || [ $? = 100 ]
>     done
> @@ -63,15 +59,10 @@
>
> # Run the session
> #
> -# We wrap the target command in sudo because it runs initgroups(3)
> -# /after/ being chrooted, which puts users back in the groups we
> -# added them to
> +# We used to wrap the target command in sudo to run initgroups, now we
> +# ship our own wrapper that does that.  Regardless, this runs /after/
> +# being chrooted, which puts users back in the groups we added them to
>
> -# Workaround for stupidity, see #928 for details
> -# Remove this once we're running pam-afs-session 2.4
> -# Run this inside the "set -e" block so it'll fail if necessary
> -echo "KRB5CCNAME=$KRB5CCNAME" >| /tmp/ticketenv
> -
> set +e
>
> cd
>
>

home help back first fref pref prev next nref lref last post